<!DOCTYPE html>
<html>

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-status-bar-style" content="black">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<!--<title>{pigcms:$xqitem['title']}</title>-->
	<title>课程信息</title>
	<meta name="description" content="">
	<meta name="keywords" content="">
	<link href="{pigcms::RES}/wap/faceClass/css/normalize.css?v=20161123" rel="stylesheet">
	<link href="{pigcms::RES}/wap/faceClass/css/emoj.css?v=20161123" rel="stylesheet">
	<link href="{pigcms::RES}/wap/faceClass/css/style.css?v=20161123" rel="stylesheet">
</head>

<body>
	<div id="wrapper" class="course-details-iscroll">
		<div id="scroller">
			<header class="page-header">
				<h1 class="page-title">{pigcms:$xqitem['title']}</h1>
			</header>
			<section class="panel course-details">
				<header class="panel-title">基本信息</header>
				<div class="main">
					<ul class="properties-list">
						<li>
							<em>课程ID：</em><a href="#2016081904" class="text">{pigcms:$xqitem['item_id']}</a>
						</li>
						<li>
							<em>课程时长：</em><span class="text">{pigcms:$xqitem['length']}小时</span>
						</li>
						<li>
							<em>授课方式：</em><span class="text">{pigcms:$xqitem['method_id']}</span>
						</li>
					</ul>
				</div>
			</section>
			<section class="panel course-details">
				<header class="panel-title">课程简介</header>
				<div class="main">
					<div>
						<p>{pigcms:$xqitem['description']}</p>
					</div>
				</div>
			</section>
			<section id="sessional" class="panel course-details">
				<header class="panel-title">
					<span>场次列表</span>
                    <if condition="$xqitem.scheduledSum gt 5">
					<a href="{pigcms::U('sessionalindex',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id'],'itemid'=>$xqitem['item_id']))}" class="more">查看更多</a></if>
				</header>
				<div class="main">
					<div class="detail-list sessional-list">
		            <volist id='kclist' name='kccc'	>
						<dl>
							<dt class="sessional-thumb">
								<a href="{pigcms::U('sessionaldetails',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id'],'id'=>$kclist['scheduled_offering_id']))}">
									<img src="" onerror="this.style.display='none'" onload="this.style.display='block'" alt="Revised Compensation Scheme-B">
								</a>
							</dt>
							<dd>
								<h3><a href="{pigcms::U('sessionaldetails',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id'],'id'=>$kclist['scheduled_offering_id']))}">{pigcms:$kclist['title']}</a></h3>
								<p>
										<i class="ico ico-time"></i>
										<span>{pigcms:$kclist['start_date_time']} to {pigcms:$kclist['end_date_time']} {pigcms:$kclist['time_zone']}</span>
								</p>
								<div class="clearfix">
									<div class="label label-text">
											<i class="ico ico-location"></i>
											<span>{pigcms:$kclist['city']}</span>
									</div>
									<div>
											<if condition = "$kclist.regSum eq 0"><a href="{pigcms::U('register',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id'],'scheduledOfferingId'=>$kclist['scheduled_offering_id'],'title'=>$kclist['title'],'links'=>$kclist['links']))}" class="btn btn-join">去报名</a><else/><a href="javascript:void(0)" class="btn btn-join disabled">已预报名</a></if>
									</div>
								</div>
							</dd>
						</dl>
		               </volist>
					</div>
				</div>
			</section>
			<section class="panel comment-panel course-details">
				<header class="panel-title comment-panel-header fixed">
					<span>评论 <i class="comment-count" data-id="{pigcms:$xqitem['avgScore']}">{pigcms:$xqitem['commentCount']}</i></span>
					<div class="comments-sortor">
						<a href="javascript:void(0);"><i class="ico ico-sort"></i><span id="sort-type-label">按热度</span></a>
						<ul>
							<li><a data-sort="hot" class="cur" href="javascript:void(0)">按热度</a></li>
							<li><a data-sort="time" href="javascript:void(0)">按时间</a></li>
						</ul>
					</div>
				</header>
				<div id="comment-ajax-load" class="main">
					<div class="comment-ajax-result">
						<p class="star-wrapper">综合评分：
							<span class="star btn-star" data-star="{pigcms:$xqitem['avgScore']}" data-url="{pigcms::U('insertcomment',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id'],'reference_id'=>$xqitem['item_id']))}"></span>
						</p>
						<div class="detail-list comemnt-list list"></div>
					</div>
				</div>

				<script>
					var PRAISE_URL = "{pigcms::U('praise',array('wecha_id'=>$_GET['wecha_id'],'token'=>$_GET['token'],'commentid'=>'COMMENT_ID'))}";

					var CANCEL_URL = "{pigcms::U('nopraise',array('wecha_id'=>$_GET['wecha_id'],'token'=>$_GET['token'],'commentid'=>'COMMENT_ID'))}";

					var REPLY_URL = "{pigcms::U('replies',array('wecha_id'=>$_GET['wecha_id'],'token'=>$_GET['token'],'commentid'=>'COMMENT_ID'))}";

					var REPLYLIST_URL = "{pigcms::U('replieslist',array('wecha_id'=>$_GET['wecha_id'],'token'=>$_GET['token'],'commentid'=>'COMMENT_ID'))}";

				</script>
				<script type="text/x-jquery-tmpl" id="tpl-list-item">
					{{each records}}
					<dl class="comment-item">
						<dt class="comment-thumb"></dt>
						<dd>
							<div class="comment-header">
								${real_name}
								<p>${comment_time}</p>
								<div class="comment-tbns">
									<a
										href="${PRAISE_URL.replace('COMMENT_ID', id)}"
										cancel-url="${CANCEL_URL.replace('COMMENT_ID', id)}"
										class="btn btn-link btn-praise ${favorResult>0 ? 'disabled' : ''}">
										<i class="ico ico-praise "></i> <span>${favorSum}</span>
									</a>
									<a href="${REPLY_URL.replace('COMMENT_ID', id)}" class="btn btn-link btn-reply"><i class="ico ico-comment"></i></a>
								</div>
							</div>
							<p>{{html content}}</p>

							{{if reply==0}}
							<div class="top-replies" style="display: none;">
							{{else}}
							<div class="top-replies">
							{{/if}}
								{{each reply }}
								<div><em>${real_name}</em>{{html content}}</div>
								{{/each}}

								<a href="${REPLYLIST_URL.replace('COMMENT_ID', id)}" class="more-replies"
									{{if reply ==0 || reply[0].replayCount < 3 }}style="display: none;"{{/if}}
									>共<i class="reply-count">${reply?reply[0].replayCount:0}</i>条回复 &gt;</a>
							</div>
						</dd>
					</dl>
					{{/each}}
				</script>

				<div class="pull-action am-text-center pull-up loading">
			        <div class="am-icon-arrow-up pull-label pull-up-label">
			            上拉加载更多
			        </div>
			        <span class="am-icon-spinner am-icon-spin"></span>
			        <div id="pull-up-nodata" class="nodata">还没有评论</div>
			    </div>
			</section>
		</div>
	</div>

	<footer class="comments-add-wrapper">
		<div class="comments-add">
			<div class="editor content-editor" maxlength="150" contenteditable="true" placeholder="写评论..."></div>
			<div class="face-wrapper">
				<a href="javascript:void(0);" class="btn btn-face-seletor"><i class="ico ico-smile-2x"></i></a>
			</div>
			<a href="{pigcms::U('insertcomment',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id'],'reference_id'=>$xqitem['item_id']))}" class="btn btn-send-comment">发送</a>
		</div>
		<div class="face-list"></div>
	</footer>

	<!-- 报名成功提示 -->
	<dialog id="modalJoinSuccess" class="modal">
		<div class="modal-title">温馨提示</div>
		<div class="modal-body">预报名成功，请注意查收邮件，根据提示完成报名及审核流程。</div>
		<div class="modal-footer">
			<a href="javascript:void(0)" class="btn btn-block" rel="modal:close">知道了</a>
		</div>
	</dialog>

	<!-- 已报名提示 -->
	<dialog id="modalJoinedAlready" class="modal">
		<div class="modal-title">温馨提示</div>
		<div class="modal-body">您已完成预报名，请注意查收邮件，根据提示完成报名及审核流程。</div>
		<div class="modal-footer">
			<a href="javascript:void(0)" class="btn btn-block" rel="modal:close">知道了</a>
		</div>
	</dialog>

	<!-- 回复弹框 -->
	<dialog id="modalReply" class="modal">
		<div class="modal-body">
			<div class="reply-editor content-editor" maxlength="150" contenteditable="true" placeholder="输入回复内容..."></div>
			<div class="reply-toolbar">
				<a href="javascript:void(0);" class="btn btn-face-seletor">
					<i class="ico ico-smile"></i> 表情
				</a>
				<div class="words-count">150字</div>
				<div class="face-list"> </div>
			</div>
		</div>
		<div class="modal-footer">
			<a href="javascript:void(0)" class="btn btn-block" rel="modal:close">取消</a>
			<a href="javascript:void(0)" class="btn btn-block btn-send-reply">确定</a>
		</div>
	</dialog>

	<!-- 评价弹框 -->
	<dialog id="modalStar" class="modal modal-star">
		<div class="modal-title">请评价</div>
		<div class="modal-body">
			<div class="star-plugin" data-star="4">
				<a href="javascript:void(0)" class="btn-star-item"></a>
				<a href="javascript:void(0)" class="btn-star-item"></a>
				<a href="javascript:void(0)" class="btn-star-item"></a>
				<a href="javascript:void(0)" class="btn-star-item"></a>
				<a href="javascript:void(0)" class="btn-star-item"></a>
			</div>
			<div class="tags">
				<volist id='tag' name='comtag' key = 'k'>
					<a href="javascript:void(0)" data-id="tag-{pigcms:$k}" class="btn btn-tag">{pigcms:$tag.content}</a>
                </volist>
			</div>
			<div>
				<input type="text" placeholder="有什么想说的，写下来吧！">
			</div>
		</div>
		<div class="modal-footer">
			<a href="javascript:void(0)" class="btn btn-block" rel="modal:close">取消</a>
			<a href="javascript:void(0)" class="btn btn-block btn-send-star">确定</a>
		</div>
	</dialog>

	<!-- 评价成功弹框 -->
	<dialog id="modalStarSuccess" class="modal">
		<div class="modal-title">谢谢评价</div>
		<div class="modal-body">
			您已经提交面授评价了~
		</div>
		<div class="modal-footer">
			<a href="javascript:void(0)" class="btn btn-block" rel="modal:close">知道了</a>
		</div>
	</dialog>

	<script src="{pigcms::RES}/wap/faceClass/js/libs/jquery-3.1.1.min.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/jquery.tmpl.min.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/iscroll.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/pullUpLoad.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/jquery.modal.min.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/libs/swipe.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/scripts.js?v=20161123"></script>
	<script src="{pigcms::RES}/wap/faceClass/js/emoj.js?v=20161123"></script>
	<script>
		var MY_COMMENT_COUNT = "{pigcms::$_GET['commented']}";
		var COMMENT_SORT_TYPE = 'hot'; // hot | time;
		var COMMENT_URL = "{pigcms::U('comments',array('token'=>$_GET['token'],'wecha_id'=>$_GET['wecha_id'],'sort'=>'SORT_TYPE',itemId=>$xqitem['item_id']))}";

		jQuery(function($) {

			// 评论分页
			window.PULLER = $("#wrapper").pullUpInit({
				list: '.comemnt-list',
				api: function() {
					return COMMENT_URL.replace('SORT_TYPE', COMMENT_SORT_TYPE);
				}
			});

			// 固定评论头
			PULLER.iscroll.on('scrollEnd', function() {

				var $commentHeader = $('.comment-panel-header');

				if ($('.comment-panel').offset().top < 0) {
					$commentHeader.appendTo('body');
				} else {
					$commentHeader.prependTo('.comment-panel');
				}
			});

			// 回复弹框的表情
			$('#modalReply .btn-face-seletor').emoj({
				imgBaseUrl: 'tpl/Wap/default/common/wap/faceClass/imgs/emoj/',
				editor: $('#modalReply .content-editor'),
				container: $('#modalReply .face-list'),
			});

			// 底部评论框的表情
			$('footer .btn-face-seletor').emoj({
				imgBaseUrl: 'tpl/Wap/default/common/wap/faceClass/imgs/emoj/',
				editor: $('footer .content-editor'),
				container: $('footer .face-list'),
				row: 3
			});
		});
	</script>

</body>

</html>
